#!/bin/bash 
mypath=${0%/*}

showRadio "Автоматическая блокировка клавиатуры" "Выберите время, через которое дисплей отключается:" "10 секунд" "20 секунд" "30 секунд" "1 минута" "2 минуты" "5 минут"
case $? in
0)
exit 0
;;
1)
timOut=10
;;
2)
timOut=20
;;
3)
timOut=30
;;
4)
timOut=60
;;
5)
timOut=120
;;
6)
timOut=300
;;
esac


$mypath/setConfig $mypath/config.cfg General LockTime $timOut
showQ "Автоматическая блокировка клавиатуры" "Настройки применены! Перезагрузить сейчас?" 1
ret=$?
echo ret=$ret
if [ $ret -eq 1 ] 
then
	kill `pidof keyLock2`
	sleep 1
	$mypath/keyLock2&
	if [ "`pidof keyLock2`" != "" ]
	then
		showQ "Автоматическая блокировка клавиатуры" "Успешно!" 2
	fi
fi